<?php
/*##################################################
 *
 *      admin_download_mini_config.php
 *            -------------------
 *
###################################################*/

require_once('../admin/admin_begin.php');
load_module_lang('download'); //Chargement de la langue du module.
$Cache->load('download');
define('TITLE', $LANG['administration'].'_mini');
require_once('../admin/admin_header.php');


if (!empty($_POST['valid']))
{
	$CONFIG_DOWNLOAD['m_file'] = retrieve(POST, 'm_file', 10);
	$CONFIG_DOWNLOAD['m_size'] = retrieve(POST, 'm_size', false);
	$CONFIG_DOWNLOAD['m_dlc'] = retrieve(POST, 'm_dlc', false);
	$CONFIG_DOWNLOAD['m_note'] = retrieve(POST, 'm_note', false);
	$CONFIG_DOWNLOAD['m_img'] = retrieve(POST, 'm_img', false);

	$CONFIG_DOWNLOAD['m_trie'] = retrieve(POST, 'm_trie', 'ASC');
	$CONFIG_DOWNLOAD['m_trie2'] = retrieve(POST, 'm_trie2', 'timestamp');
	
	$Sql->query_inject("UPDATE " . DB_TABLE_CONFIGS . " SET value = '" . addslashes(serialize($CONFIG_DOWNLOAD)) . "' WHERE name = 'download'", __LINE__, __FILE__);
	
	###### Rgnration du cache des news #######
	$Cache->Generate_module_file('download');
	
	redirect(HOST . SCRIPT);	
}
//Sinon on remplit le formulaire
else	
{		
	$Template->set_filenames(array(
		'admin_download_config'=> 'download/admin_download_mini_config.tpl'
	));
	
	$Cache->load('download');
	

   //////////////////////////////////////////////////////////// 
  // systeme qui ne servira que en cas de plantage          //
 // ou d'installation fraiche, ou encore de mise a jour.   // 
////////////////////////////////////////////////////////////

if(empty($CONFIG_DOWNLOAD['m_trie'])) {$CONFIG_DOWNLOAD['m_trie'] = 'ASC' ;}	
if(empty($CONFIG_DOWNLOAD['m_trie2'])) {$CONFIG_DOWNLOAD['m_trie2'] = 'count' ;}	


if (empty($CONFIG_DOWNLOAD['m_size']))
	{ $CONFIG_DOWNLOAD['m_size'] = false ; }

if (empty($CONFIG_DOWNLOAD['m_dlc']))
	{ $CONFIG_DOWNLOAD['m_dlc'] = false ;  }

if (empty($CONFIG_DOWNLOAD['m_note']))
	{ $CONFIG_DOWNLOAD['m_note'] = false ;  }

if (empty($CONFIG_DOWNLOAD['m_img']))
	{ $CONFIG_DOWNLOAD['m_img'] = false ; }


	$Template->assign_vars(array(
		'M_FILE' => !empty($CONFIG_DOWNLOAD['m_file']) ? $CONFIG_DOWNLOAD['m_file'] : '10',

		'M_SIZE' => ($CONFIG_DOWNLOAD['m_size'] === true ) ? true : false,
		'M_DLC' => ($CONFIG_DOWNLOAD['m_dlc'] === true ) ? true : false,
		'M_NOTE' => ($CONFIG_DOWNLOAD['m_note'] === true ) ? true : false,
		'M_IMG' => ($CONFIG_DOWNLOAD['m_img'] === true ) ? true : false,

		'M_SIZE_CHECKED' => ($CONFIG_DOWNLOAD['m_size'] === true ) ? 'CHECKED' : '',
		'M_DLC_CHECKED' => ($CONFIG_DOWNLOAD['m_dlc'] === true ) ? 'CHECKED' : '',
		'M_NOTE_CHECKED' => ($CONFIG_DOWNLOAD['m_note'] === true ) ? 'CHECKED' : '',
		'M_IMG_CHECKED' => ($CONFIG_DOWNLOAD['m_img'] === true ) ? 'CHECKED' : '',

		'M_TRIE_C_ASC' => ($CONFIG_DOWNLOAD['m_trie'] === 'ASC' ) ? 'CHECKED' : '',
		'M_TRIE_C_DESC' => ($CONFIG_DOWNLOAD['m_trie'] === 'DESC' ) ? 'CHECKED' : '',

		'M_TRIE_C_COUNT' => ($CONFIG_DOWNLOAD['m_trie2'] === 'count' ) ? 'CHECKED' : '',
		'M_TRIE_C_TIME' => ($CONFIG_DOWNLOAD['m_trie2'] === 'timestamp' ) ? 'CHECKED' : '',
		'M_TRIE_C_NOTE' => ($CONFIG_DOWNLOAD['m_trie2'] === 'note' ) ? 'CHECKED' : '',
		'M_TRIE_C_ID' => ($CONFIG_DOWNLOAD['m_trie2'] === 'id' ) ? 'CHECKED' : '',

		'L_SUBMIT' => $LANG['submit'],
		'L_UPDATE' => $LANG['update'],
		'L_RESET' => $LANG['reset'],
	));
	
	include_once('admin_download_menu.php');
	
	$Template->pparse('admin_download_config'); // traitement du modele
}

require_once('../admin/admin_footer.php');

?>
