<?php
//////////////////////////
//     download mini
//////////////////////////
//     Octobre 2010
//////////////////////////
//       SaTurNin
//////////////////////////
defined('ALTERNATIVE_CSS') or define('ALTERNATIVE_CSS', 'download');

function download_mini($position, $block)
{
    if (strpos(SCRIPT, '/download/') === false)
    {
	global $LANG, $Cache, $Sql, $User, $CONFIG, $CONFIG_DOWNLOAD;

	$Cache->load('download');
	include_once('../download/lang/french/download_french.php');

	if($block <= 6) {
		$tpl = new Template('download/download_mini_h.tpl');	// horizontal menu !
		$sql_limit = $CONFIG_DOWNLOAD['m_file'] ;
	}
	if($block >= 7) {
		$tpl = new Template('download/download_mini.tpl');	// vertical menu!
		$sql_limit = 1 ;
	}


	import('core/menu_service');
	MenuService::assign_positions_conditions($tpl, $block);

	$i = 1;
	// on retrouve les 10 téléchargement du module download.
	$result = $Sql->query_while("SELECT id, title, timestamp, size, count, note, nbrnote, nbr_com, image, short_contents 
	FROM " . PREFIX . "download
	WHERE visible = 1 AND approved = 1
	ORDER BY ".$CONFIG_DOWNLOAD['m_trie2']." ".$CONFIG_DOWNLOAD['m_trie']."
	" . $Sql->limit(0, $sql_limit), __LINE__, __FILE__);

	while ($row = $Sql->fetch_assoc($result))
		{
		 $tpl->assign_block_vars('mfile', array(
			'NAME' => $row['title'],
			'IMG_NAME' => str_replace('"', '\"', $row['title']),
			'C_DESCRIPTION' => !empty($row['short_contents']),
			'DESCRIPTION' => second_parse($row['short_contents']),
			'DATE' => gmdate_format('date_format_short', $row['timestamp']),
			'COUNT_DL' => $row['count'],
			'NOTE' => $row['nbrnote'] > 0 ? $row['note'] : '<em> 0 </em>',
			'NOTE2'=> 	$CONFIG_DOWNLOAD['note_max'],
			'SIZE' => ($row['size'] >= 1) ? number_round($row['size'], 1) . ' ' . $LANG['unit_megabytes'] : (number_round($row['size'], 1) * 1024) . ' ' . $LANG['unit_kilobytes'],
			'C_IMG' => !empty($row['image']),
			'IMG' => $row['image'],
			'U_DOWNLOAD_LINK' => url('download.php?id=' . $row['id'], 'download-' . $row['id'] . '+' . url_encode_rewrite($row['title']) . '.php'),

			'M_SIZE' => ($CONFIG_DOWNLOAD['m_size'] === true ) ? true : false,
			'M_DLC' => ($CONFIG_DOWNLOAD['m_dlc'] === true ) ? true : false,
			'M_NOTE' => ($CONFIG_DOWNLOAD['m_note'] === true ) ? true : false,
			'M_IMG' => ($CONFIG_DOWNLOAD['m_img'] === true ) ? true : false,

		 ));
		 $i++;
	}
	$Sql->query_close($result);



    //On retourne le contenu du bloc
    return $tpl->parse(TEMPLATE_STRING_MODE);
}
}
?>
